Vaucanson 1.2.92 (September 9th, 2008)

From LRDE

Revision as of 16:38, 6 November 2014 by Bot (talk | contribs) (Fix vcsn urls)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)



The Vcsn library is free software. It is distributed under the conditions of the GNU General Public License (www.gnu.org) since release 0.7.1, and under the conditions of GNU Lesser General Public License for previous releases.

Downloads

Changes

  • TAF-Kit
    • New instances that handles letters that are pairs (of char or int): ``vcsn-char-char-b``, ``vcsn-int-int-b``, ``vcsn-char-int-b``, and ``vcsn-int-char-b``
 More informations on updates are provided in the NEWS file of the package.

Requirements

C++ compiler
G++ 4.0 and 4.1
XML
The XML I/O system is based on the use of the Apache Xerces C++ library version 2.7+ (http://xml.apache.org/xerces-c/). (On Ubuntu/Debian, install the following packages: libxerces27 and libxerces27-dev)
Graphviz
The display of automata is made using AT&T Graphviz library. (On Ubuntu/Debian, install the following package: graphviz)
Boost
Boost provides free peer-reviewed portable C++ source libraries. (On Ubuntu/Debian, install the following packages: libboost-dev, libboost-serialization-dev, libboost-graph, libboost-graph-dev)
Ncurses
needed for building the TAF-KIT. (On Ubuntu/Debian, install the following packages: libncurses5, libncurses-dev).

Known Problems

Vaucanson is known not to work properly with Apple's G++ 4.0.0 on Tiger. Actually, it seems that it is G++ 4.0.0 which is known not to work properly: other library face similar issues. We don't know how to solve the problem, avoid it by specifying another compiler. For instance

./configure CC=gcc-4.1 CXX=g++-4.1

Vaucanswig is not working properly with this version.